| xmonad-contrib-0.8.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Actions.CycleSelectedLayouts

Portability | unportable
Stability | unstable
Maintainer | Roman Cheplyaka <roma@ro-che.info>

Contents

Usage

Description
This module allows to cycle through the given subset of layouts.
Synopsis

cycleThroughLayouts :: [String] -> X ()

Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad hiding ((|||))
     import XMonad.Layout.LayoutCombinators ((|||))
     import XMonad.Actions.CycleSelectedLayouts

       , ((modMask x,  xK_t ),   cycleThroughLayouts ["Tall", "Mirror Tall"])

Make sure you are using NewSelect from XMonad.Layout.LayoutCombinators, rather than the Select defined in xmonad core.

cycleThroughLayouts :: [String] -> X () | Source

If the current layout is in the list, cycle to the next layout. Otherwise, apply the first layout from list.
Produced by Haddock version 2.4.2